<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form >
        <section>
            <fieldset>
                <legend>Datos Personales:</legend>
                <label for="nombre">Nombre: </label>
                <input type="text" id="nombre" name="nombre" required> <br>
                <label for="edad">Edad: </label>
                <input type="number" id="edad" name="edad"
                    min="0" max="120" value="0"
                    required>
            </fieldset>
        </section>

        <section>
            <fieldset>
                <legend>Cultura:</legend>
                <label>Capital de Noruega: </label>
                <input type="radio" id="male" name="capital" value="Copenhage">
                <label for="Copenhage">Copenhage</label>
                <input type="radio" id="female" name="capital" value="Helsinki">
                <label for="Helsinki">Helsinki</label>
                <input type="radio" id="other" name="capital" value="Oslo">
                <label for="Oslo">Oslo</label>
                <br>
                <label>Fecha de la revolución francesa: </label>
                <input type="radio" id="1492" name="revolucion" value="1492">
                <label for="Copenhage">1492</label>
                <input type="radio" id="1789" name="revolucion" value="1789">
                <label for="Helsinki">1789</label>
                <input type="radio" id="1917" name="revolucion" value="1917">
                <label for="Oslo">1917</label>
            </fieldset>
        </section>
    
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="limpiar">
    </form>
    <h1>HTML5 number input</h1>
    <h3>Ejemplo 1</h3>
    <form>
        <label>Introduce tu edad: </label>
        <input type="number" id="edad1">
        <input type="submit" name="btn_enviar" value="Enviar">
    </form>
    <h4>Ejemplo 2</h4>
    <form>
        <label>Introduce tu edad (min 18, max 99, campo obligatorio): </label>
        <input type="number" id="edad2" required>
        <input type="submit" name="btn_enviar" value="Enviar">
    </form>
    <h5>Ejemplo 3</h5>
    <form>
        <label>Introduce tu edad (min 18, max 99, campo obligatorio): </label>
        <input type="number" id="edad3" min="18" max="99" required>
        <input type="submit" name="btn_enviar" value="Enviar">
    </form>
    <dialog open>
        <p onclick="this.style.color='red'">Este parrafo . . . </p>
        <p ondblclick="this.style.color='red'">Este parrafo . . . </p>
        <p onmouseup="this.style.color='red'">Este parrafo . . . </p>
        <p onmousedown="this.style.color='red'">Este parrafo . . . </p>
        <p onmousemove="this.style.color='red'">Este parrafo . . . </p>
        <p onmouseover="this.style.color='red'">Este parrafo . . . </p>
        <p onmouseout="this.style.color='red'">Este parrafo . . . </p>
    </dialog>
</body>
</html>